"use strict";

var _utilidades = require("../../utilidades.js");
// {} Librerías e importaciones

// ! Utilidades

// {}
(function () {
  // ! Declaración de variables
  var peticionActual = null;

  // !
  (0, _utilidades.tablaRegistros)({
    tabla: $(tablaRegistrosTurnos),
    peticion: {
      datos: {
        ruta: "./ejecutarPeticion?procedimiento=p_traer_turnos",
        parametros: {
          renglon: 'COLA'
        }
      }
    },
    configuracion: {
      scrollY: false,
      dom: "\n        <'row'<'col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12 col-xxl-12't>>\n      ",
      pageLength: 7
    }
  });

  // !
  (0, _utilidades.tablaRegistros)({
    tabla: $(tablaRegistrosAsignado),
    peticion: {
      datos: {
        ruta: "./ejecutarPeticion?procedimiento=p_traer_turnos",
        parametros: {
          renglon: 'ASIGNADO'
        }
      }
    },
    configuracion: {
      scrollY: false,
      dom: "\n        <'row'<'col-12 col-sm-12 col-md-12 col-lg-12 col-xl-12 col-xxl-12't>>\n      ",
      pageLength: 7
    }
  });

  // !
  setInterval(function () {
    $(tablaRegistrosTurnos).DataTable().ajax.reload();
    $(tablaRegistrosAsignado).DataTable().ajax.reload();
    llamarTurno();
  }, 5000);

  // !
  function textoPorVoz(texto) {
    // +
    responsiveVoice.setDefaultVoice('Spanish Latin American Female');

    // +
    responsiveVoice.speak(texto, 'Spanish Latin American Female', {
      pitch: 1,
      rate: 1
    });
  }

  // !
  function llamarTurno() {
    // +
    peticionActual = (0, _utilidades.peticion)({
      ruta: './ejecutarPeticion?procedimiento=p_traer_turnos',
      parametros: {
        renglon: 'LLAMAR'
      },
      funcion: {
        antesEnviarPeticion: function antesEnviarPeticion(peticion, configuracion) {},
        peticionExitosa: function peticionExitosa(respuesta, estado, peticion) {
          textoPorVoz(" " + respuesta[0].texto);
        },
        peticionNoExitosa: function peticionNoExitosa(peticion, configuracion) {}
        // peticionCompletada: function(peticion, estado) {}
      }
    });
  }
})();